Subject: [OPSEC] some thoughts - draft-ietf-opsec-ip-security

From: Joel Jaeggli <[email-masked]>
Date: Tue, 15 Dec 2009 11:30:41 -0800

I'm trying to capture a particular problem I think we should make a
little more explicit, there's a quote, followed by the comment.

page 4

   Producing a secure TCP/IP implementation nowadays is a very difficult
   task, in part because of the lack of a single document that serves as
   a security roadmap for the protocols.  Implementers are faced with
   the hard task of identifying relevant documentation and differentiate
   between that which provides correct advisory, and that which provides
   misleading advisory based on inaccurate or wrong assumptions.

The other challenge is that in the case of protocol flaws completely
addressing a problem in an implementation may necessarily break
compatibility with other implementations which is a consideration in
addressing the protocol stack flaws on any kind of comprehensive basis.

I doubt that the document requires substantive change in order to
capture this. just the addition of some strategic text.

joel